Bug 167009 - Kickstart: Unable to kickstart with ks.cfg file stored on USB drive.
Kickstart: Unable to kickstart with ks.cfg file stored on USB drive.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-08-29 11:43 EDT by W Agtail
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-19 13:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W Agtail 2005-08-29 11:43:16 EDT
Description of problem:
Unable to kickstart with ks.cfg file stored on USB drive.

Version-Release number of selected component (if applicable):
FC4 i386

How reproducible:

Steps to Reproduce:
1. cp ks.cfg file to usb device (sda1) FAT12 (id=1 in fdisk)
1. Burn rescuecd.iso (from FC4-i386-DVD.iso) to CD
2. Boot system from CD (rescue.iso)
3. At the 'boot:' prompt, enter:
linux ks=hd:sda1:/ks.cfg
Actual results:
Alt,F3 screen, shows:
Loading ks from device sda1 on path /ks.cfg
getFileFromBlockDevice(sda1, /ks/cfg)
failed to mount /dev/sda1: No such device or address

Alt,F4 screen, shows:
<5>SCSI device sda: 31488 512-byte hwdr sectors (16MB)
etc etc

Expected results:
Boot from a cd and kickstart from ks.cfg file stored in usb device (compact
flash media) in my case.

Additional info:
2 x internal hd devices (hda, hdc)
2 x optical devices (hdb, hdd)
1 x usb attached media reader

Power & Access LEDs light up when usb-storage module is loaded.
If I boot into rescue mode, I am ablr to access USB device on /dev/sda1.

Any ideas?
Many thanks
W Agtail
Comment 1 Jeremy Katz 2005-08-30 14:56:15 EDT
The kernel recognizes sda1?  If you manually switch to tty2, is /dev/sda1
present and can you access the ks.cfg?
Comment 2 W Agtail 2005-08-30 19:51:13 EDT
I'm not sure what you mean? tty2 ?

The kickstart procedure does not get as far as starting a shell. Do you have a
procedure on how I could to this?

Kickstart stops at "Choose a Language" screen on Alt,F1 screen.

I have also noticed that usb-storage module gets loaded twice, so I'm just
wondering if this could be a timing issue? Is Anaconda looking for ks.cfg before
the usb-storage module has loaded and detected storage device /dev/sda ?

Thanks again
Comment 3 Jeremy Katz 2005-09-06 11:09:50 EDT
Yes, continue on by manually putting in where your install source is so that you
can get to the shell and try to figure out what's going on.

It's entirely likely that your usb-storage device isn't actually sda and is
something later.
Comment 4 W Agtail 2005-09-09 12:37:14 EDT
Hi, thanks
I continued on up until the "NFS Setup" screen and entered the BFS details.
Shortly afterwards I was then able to locate a shell on Alt,F2.
I was then able to:
a) mkdir /mnt/a
b) mount /dev/sda1 /mnt/a
c) cd /mnt/a
d) more ks.cfg
to confirm access to ks.cfg file.

Alt,F4 displayed references for sda, sdb, sdc & sdd, so I also tried installing
Linux via kickstart using these devices (plus sde for good measure). e.g:
linux ks=hd:sdd1:/ks.cfg

Any other ideas?
thanks again
Comment 5 Jeremy Katz 2005-09-19 13:55:50 EDT
Actually, it looks like this is something that's gotten fixed since FC4.  If you
format the whole device (sda) with an fs instead of doing a partition it should

Note You need to log in before you can comment on or make changes to this bug.